summaryrefslogtreecommitdiffstats
path: root/source/xfce/Thunar
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2018-05-28 19:12:29 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 23:39:35 +0200
commit646a5c1cbfd95873950a87b5f75d52073a967023 (patch)
treeb8b8d2ab3b0d432ea69ad1a64d1c789649d65020 /source/xfce/Thunar
parentd31c50870d0bee042ce660e445c9294a59a3a65b (diff)
downloadcurrent-646a5c1cbfd95873950a87b5f75d52073a967023.tar.gz
current-646a5c1cbfd95873950a87b5f75d52073a967023.tar.xz
Mon May 28 19:12:29 UTC 201820180528191229
a/pkgtools-15.0-noarch-13.txz: Rebuilt. installpkg: default line length for --terselength is the number of columns. removepkg: added --terse mode. upgradepkg: default line length for --terselength is the number of columns. upgradepkg: accept -option in addition to --option. ap/vim-8.1.0026-x86_64-1.txz: Upgraded. d/bison-3.0.5-x86_64-1.txz: Upgraded. e/emacs-26.1-x86_64-1.txz: Upgraded. kde/kopete-4.14.3-x86_64-8.txz: Rebuilt. Recompiled against libidn-1.35. n/conntrack-tools-1.4.5-x86_64-1.txz: Upgraded. n/libnetfilter_conntrack-1.0.7-x86_64-1.txz: Upgraded. n/libnftnl-1.1.0-x86_64-1.txz: Upgraded. n/links-2.16-x86_64-2.txz: Rebuilt. Rebuilt to enable X driver for -g mode. n/lynx-2.8.9dev.19-x86_64-1.txz: Upgraded. n/nftables-0.8.5-x86_64-1.txz: Upgraded. n/p11-kit-0.23.11-x86_64-1.txz: Upgraded. n/ulogd-2.0.7-x86_64-1.txz: Upgraded. n/whois-5.3.1-x86_64-1.txz: Upgraded. xap/network-manager-applet-1.8.12-x86_64-1.txz: Upgraded. xap/vim-gvim-8.1.0026-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/xfce/Thunar')
-rw-r--r--source/xfce/Thunar/0001-Deactivate-SEND_MOVED-code-paths.patch48
-rwxr-xr-xsource/xfce/Thunar/Thunar.SlackBuild26
-rw-r--r--source/xfce/Thunar/Thunar.url1
-rw-r--r--source/xfce/Thunar/slack-desc12
4 files changed, 25 insertions, 62 deletions
diff --git a/source/xfce/Thunar/0001-Deactivate-SEND_MOVED-code-paths.patch b/source/xfce/Thunar/0001-Deactivate-SEND_MOVED-code-paths.patch
deleted file mode 100644
index ed1e9ecaa..000000000
--- a/source/xfce/Thunar/0001-Deactivate-SEND_MOVED-code-paths.patch
+++ /dev/null
@@ -1,48 +0,0 @@
-From 95ed18a7322c5cb27024547425a05522d5f34d7b Mon Sep 17 00:00:00 2001
-From: Harald Judt <h.judt@gmx.at>
-Date: Fri, 13 Nov 2015 13:29:49 +0100
-Subject: Deactivate SEND_MOVED code paths
-
----
- thunar/thunar-file.c | 4 ++--
- thunar/thunar-folder.c | 2 +-
- 2 files changed, 3 insertions(+), 3 deletions(-)
-
-diff --git a/thunar/thunar-file.c b/thunar/thunar-file.c
-index 3262dfb..e3f9076 100644
---- a/thunar/thunar-file.c
-+++ b/thunar/thunar-file.c
-@@ -853,7 +853,7 @@ thunar_file_watch_reconnect (ThunarFile *file)
- }
-
- /* create a file or directory monitor */
-- file_watch->monitor = g_file_monitor (file->gfile, G_FILE_MONITOR_WATCH_MOUNTS | G_FILE_MONITOR_SEND_MOVED, NULL, NULL);
-+ file_watch->monitor = g_file_monitor (file->gfile, G_FILE_MONITOR_WATCH_MOUNTS, NULL, NULL);
- if (G_LIKELY (file_watch->monitor != NULL))
- {
- /* watch monitor for file changes */
-@@ -3854,7 +3854,7 @@ thunar_file_watch (ThunarFile *file)
- file_watch->watch_count = 1;
-
- /* create a file or directory monitor */
-- file_watch->monitor = g_file_monitor (file->gfile, G_FILE_MONITOR_WATCH_MOUNTS | G_FILE_MONITOR_SEND_MOVED, NULL, NULL);
-+ file_watch->monitor = g_file_monitor (file->gfile, G_FILE_MONITOR_WATCH_MOUNTS, NULL, NULL);
- if (G_LIKELY (file_watch->monitor != NULL))
- {
- /* watch monitor for file changes */
-diff --git a/thunar/thunar-folder.c b/thunar/thunar-folder.c
-index 9decb89..bd8249d 100644
---- a/thunar/thunar-folder.c
-+++ b/thunar/thunar-folder.c
-@@ -569,7 +569,7 @@ thunar_folder_finished (ExoJob *job,
-
- /* add us to the file alteration monitor */
- folder->monitor = g_file_monitor_directory (thunar_file_get_file (folder->corresponding_file),
-- G_FILE_MONITOR_SEND_MOVED, NULL, NULL);
-+ G_FILE_MONITOR_NONE, NULL, NULL);
- if (G_LIKELY (folder->monitor != NULL))
- g_signal_connect (folder->monitor, "changed", G_CALLBACK (thunar_folder_monitor), folder);
-
---
-2.6.3
-
diff --git a/source/xfce/Thunar/Thunar.SlackBuild b/source/xfce/Thunar/Thunar.SlackBuild
index 012b24e4d..c59cb3eb6 100755
--- a/source/xfce/Thunar/Thunar.SlackBuild
+++ b/source/xfce/Thunar/Thunar.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2012 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2012, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,9 +20,11 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PKGNAM=Thunar
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-3}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
MARCH=$( uname -m )
@@ -36,6 +38,14 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:--j6}
if [ "$ARCH" = "i586" ]; then
@@ -52,7 +62,6 @@ else
LIBDIRSUFFIX=""
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -61,7 +70,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
cd $PKGNAM-$VERSION || exit 1
find . -exec touch {} \;
@@ -73,8 +82,6 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-zcat $CWD/0001-Deactivate-SEND_MOVED-code-paths.patch.gz | patch -p1 --verbose || exit 1
-
# Configure:
CFLAGS="$SLKCFLAGS" \
./configure \
@@ -91,6 +98,9 @@ CFLAGS="$SLKCFLAGS" \
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
# Strip binaries:
( cd $PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
diff --git a/source/xfce/Thunar/Thunar.url b/source/xfce/Thunar/Thunar.url
new file mode 100644
index 000000000..47bb0609f
--- /dev/null
+++ b/source/xfce/Thunar/Thunar.url
@@ -0,0 +1 @@
+http://archive.xfce.org/src/xfce/thunar/1.6/Thunar-1.6.15.tar.bz2
diff --git a/source/xfce/Thunar/slack-desc b/source/xfce/Thunar/slack-desc
index afd93c05a..f78b6af65 100644
--- a/source/xfce/Thunar/slack-desc
+++ b/source/xfce/Thunar/slack-desc
@@ -1,8 +1,8 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
@@ -10,10 +10,10 @@ Thunar: Thunar (file manager)
Thunar:
Thunar: Thunar is a modern file manager for the Xfce Desktop Environment.
Thunar: Thunar has been designed from the ground up to be fast and
-Thunar: easy-to-use. Its user interface is clean and intuitive, and does not
-Thunar: include any confusing or useless options. Thunar is fast and
+Thunar: easy-to-use. Its user interface is clean and intuitive, and does not
+Thunar: include any confusing or useless options. Thunar is fast and
Thunar: responsive with a good start up time and directory load time.
Thunar:
-Thunar: Homepage: http://thunar.xfce.org
+Thunar: Homepage: http://thunar.xfce.org
Thunar:
Thunar: